Open CASCADE Technology: BRepExtrema_ExtPC Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepExtrema_ExtPC Class Reference

`#include <BRepExtrema_ExtPC.hxx>`

## Public Member Functions
| BRepExtrema_ExtPC ()
| BRepExtrema_ExtPC (const TopoDS_Vertex &V, const TopoDS_Edge &E)
| It calculates all the distances. More...
void | Initialize (const TopoDS_Edge &E)
void | Perform (const TopoDS_Vertex &V)
| An exception is raised if the fields have not been initialized. More...
Standard_Boolean | IsDone () const
| True if the distances are found. More...
Standard_Integer | NbExt () const
| Returns the number of extremum distances. More...
Standard_Boolean | IsMin (const Standard_Integer N) const
| Returns True if the <N>th extremum distance is a minimum. More...
Standard_Real | SquareDistance (const Standard_Integer N) const
| Returns the value of the <N>th extremum square distance. More...
Standard_Real | Parameter (const Standard_Integer N) const
| Returns the parameter on the edge of the <N>th extremum distance. More...
gp_Pnt | Point (const Standard_Integer N) const
| Returns the Point of the <N>th extremum distance. More...
void | TrimmedSquareDistances (Standard_Real &dist1, Standard_Real &dist2, gp_Pnt &pnt1, gp_Pnt &pnt2) const
| if the curve is a trimmed curve, dist1 is a square distance between More...

## Constructor & Destructor Documentation

BRepExtrema_ExtPC::BRepExtrema_ExtPC | ( |  | ) |
| inline

BRepExtrema_ExtPC::BRepExtrema_ExtPC | ( | const TopoDS_Vertex & | V,
|  | const TopoDS_Edge & | E
| ) |  |

It calculates all the distances.

## Member Function Documentation

void BRepExtrema_ExtPC::Initialize | ( | const TopoDS_Edge & | E | ) |

Standard_Boolean BRepExtrema_ExtPC::IsDone | ( |  | ) | const
| inline

True if the distances are found.

Standard_Boolean BRepExtrema_ExtPC::IsMin | ( | const Standard_Integer | N | ) | const
| inline

Returns True if the <N>th extremum distance is a minimum.

Standard_Integer BRepExtrema_ExtPC::NbExt | ( |  | ) | const
| inline

Returns the number of extremum distances.

Standard_Real BRepExtrema_ExtPC::Parameter | ( | const Standard_Integer | N | ) | const
| inline

Returns the parameter on the edge of the <N>th extremum distance.

void BRepExtrema_ExtPC::Perform | ( | const TopoDS_Vertex & | V | ) |

An exception is raised if the fields have not been initialized.

gp_Pnt BRepExtrema_ExtPC::Point | ( | const Standard_Integer | N | ) | const
| inline

Returns the Point of the <N>th extremum distance.

Standard_Real BRepExtrema_ExtPC::SquareDistance | ( | const Standard_Integer | N | ) | const
| inline

Returns the value of the <N>th extremum square distance.

void BRepExtrema_ExtPC::TrimmedSquareDistances | ( | Standard_Real & | dist1,
|  | Standard_Real & | dist2,
|  | gp_Pnt & | pnt1,
|  | gp_Pnt & | pnt2
| ) |  | const
| inline

if the curve is a trimmed curve,
dist1 is a square distance between

and the point
of parameter FirstParameter <pnt1> and
dist2 is a square distance between

and the point
of parameter LastParameter <pnt2>.

The documentation for this class was generated from the following file:

- BRepExtrema_ExtPC.hxx